Page MenuHomePhabricator

"Next page" link on category pages scrolls 201 pages, not 200
Closed, ResolvedPublic

Description

If you go to this category https://ru.wikipedia.org/wiki/%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F:%D0%9D%D0%B0%D1%80%D0%BE%D0%B4%D0%BD%D1%8B%D0%B5_%D0%B0%D1%80%D1%82%D0%B8%D1%81%D1%82%D1%8B_%D0%A1%D0%A1%D0%A1%D0%A0 (1007 pages) and click "next page" 5 times, you get 2 pages, not 7. It's because next page link scrolls 201 pages, not 200: jump from the first category page to the second skips page Глиэр, Рейнгольд Морицевич, disposed between Глебов, Пётр Петрович (last article on the first category page) and Глузский, Михаил Андреевич (first article on the second category page).

Event Timeline

MBH created this task.Jun 30 2016, 11:42 AM
Restricted Application added subscribers: Zppix, Base, Aklapper. · View Herald TranscriptJun 30 2016, 11:42 AM
Arbnos added a subscriber: Arbnos.Jul 5 2016, 10:23 PM
Bultro added a subscriber: Bultro.Aug 1 2016, 10:18 AM

Same problem in many other categories. Just press "next page", then "previous page", and you don't get where you were before.

it:Categoria:Liste di nati per giorno
et:Kategooria:Loendid sünnikuupäeviti
pt:Categoria:Jogos para PlayStation
nl:Categorie:PlayStation-spel
fr:Catégorie:Film américain sorti en 2010

Agabi10 closed this task as Resolved.Aug 1 2019, 5:59 PM
Agabi10 claimed this task.
Agabi10 added a subscriber: Agabi10.

I can't replicate this anymore in the category of the link used as an example nor any other I tried, so I suppose this was fixed at some point.